package com.engine.kq.service.impl;

import com.engine.core.impl.Service;
import com.engine.kq.cmd.groupwifi.DelGroupWifiCmd;
import com.engine.kq.cmd.groupwifi.GetGroupWifiFormCmd;
import com.engine.kq.cmd.groupwifi.GetGroupWifiListCmd;
import com.engine.kq.cmd.groupwifi.SaveGroupWifiCmd;
import com.engine.kq.service.KQGroupWifiService;
import weaver.hrm.User;

import java.util.Map;

public class KQGroupWifiServiceImpl extends Service implements KQGroupWifiService {
	@Override
	public Map<String, Object> save(Map<String, Object> params, User user) {
		return commandExecutor.execute(new SaveGroupWifiCmd(params, user));
	}

	@Override
	public Map<String, Object> del(Map<String, Object> params, User user) {
		return commandExecutor.execute(new DelGroupWifiCmd(params, user));
	}

	@Override
	public Map<String, Object> getForm(Map<String, Object> params, User user) {
		return commandExecutor.execute(new GetGroupWifiFormCmd(params, user));
	}

	@Override
	public Map<String, Object> getGroupWifiList(Map<String, Object> params, User user) {
		return commandExecutor.execute(new GetGroupWifiListCmd(params, user));
	}

}
